Subject: Re: Execution of s2ibis2

From: Syed Huq <[email-masked]>
Date: Wed, 28 Nov 2001 08:48:59 -0800 (PST)

Ramesh,

The only NT version that is on the web only supports IBISv1.1. There is a Win95 
version also on the web for IBISv2.1. 

Unfortunately, I don't see any 2000 or NT version for s2ibis2.

I am not sure how difficult it is to download the source code and recompile on
your particular OS.

Maybe other Windoze users can comment on this.

Syed

> Date: Wed, 28 Nov 2001 10:26:09 +0530
> From: Ramesh Karmungi <[email-masked]>
> Subject: Re: Execution of s2ibis2
> To: Syed Huq <[email-masked]>, [email-masked]
> MIME-version: 1.0
> X-Accept-Language: en
> 
> Hello Syed Huq,
> 
> Thanks for reply, as suggested i have tried and found HSPICE works on command 
line
> with
> 
> start /w c:\path of HSPICE  -i <path of *.spi file> -b
> 
> It is creating .lis file (output) and its OK.  However, when I run s2ibis2 
ver1.1,
> HSPICE doesn't run.
> Could you please suggest.
> 
> I have one more query, I have downloaded S2IBIS2 ver 2.0. In read me 
document, it
> is mentioned that it work on the following os:
> 
>     bin/ contains the following executables:
> 
>         s2ibis2.ultrix  executable for DECstations (Ultrix 4.3)
>         s2ibis2.hpux    executable for HPUX
>         s2ibis2.aix32   executable for RS6000 (AIX 3.2)
>         s2ibis2.sun4    executable for SPARCstation (SunOS 4)
>         s2ibis2.solaris executable for SPARCstation (Solaris)
> 
> Please let me know whether s2ibis2 ver 2.0 supports on windows 2000 or NT and 
is
> it available.
> 
> Thanks
> Ramesh
> 
> 
> Syed Huq wrote:
> 
> > Ramesh,
> >
> > I have not used the PC version but let me ask you a few questions:
> >
> > 1) Are you able to run HSPICE from a command line ?
> > 2) Can you try:
> >
> >     % hspice putout.spi
> >
> >     and see if you get an error.
> >
> >     If you get an error, open the output file and see what it is all
> >     about.
> >
> > s2ibis2 works on all versions of HSPICE so that should not be a problem
> > My 'guess' at this point is you call to HSPICE from s2ibis2 may not be
> > working properly..
> >
> > Since s2ibis2 creates an .spi file, that is good but as it tries to run 
HSPICE
> > on this .spi file it crashes(that is the reason to do test#1 and #2 above)
> >
> > Let me know..
> >
> > Syed
> >
> > > Date: Fri, 23 Nov 2001 12:35:08 +0530
> > > From: Ramesh Karmungi <[email-masked]>
> > > Subject: Execution of s2ibis2
> > > To: [email-masked]
> > > MIME-version: 1.0
> > > X-Accept-Language: en
> > >
> > > Hello,
> > >
> > > I am new user of  IBIS tools. I have downloaded Spitran to develop ibis
> > > models. Spitran gives me .s2i file. This was used as input file to run
> > > s2ibis2.exe.  However, am unable to run s2ibis2. Following lines will
> > > appear on screen and stops execution of s2ibis2..
> > >
> > > s2ibis2: Analyzing component MCM Driver .
> > > s2ibis2: Starting HSpice job with input putout.spi.
> > > failure!!!!!
> > >
> > > I have noticed it creates a .spi file in the process.
> > >
> > > I work on PC with windows 2000 or windows NT system. I have Avanti
> > > HSPICE 99.4.
> > > Could anyone help me out to sort out the problem.
> > >
> > > Thanks and Regards with anticipation
> > >
> > > Ramesh K